## org.gnu.gtk
Class AccelKey

    java.lang.Object
      org.gnu.glib.Boxed
          org.gnu.gtk.AccelKey

public class AccelKey
extends Boxed

Field Summary

Fields inherited from class org.gnu.glib.Boxed
`handle`

Constructor Summary
`protected` `AccelKey()`

Method Summary
`protected static int` `getAccelFlags(Handle cptr)`
`protected static int` `getAccelKey(Handle cptr)`
`protected static int` `getAccelMods(Handle cptr)`
`protected void` `setAccelFlags(Handle cptr, int accel_flags)`
`protected void` `setAccelKey(Handle cptr, int accel_key)`
`protected void` `setAccelMods(Handle cptr, int accel_mods)`

Methods inherited from class org.gnu.glib.Boxed
`equals, getHandle, hashCode, setHandle`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AccelKey

    protected AccelKey()

Method Detail

### getAccelKey

    protected static final int getAccelKey(Handle cptr)

### setAccelKey

    protected final void setAccelKey(Handle cptr,
                                     int accel_key)

### getAccelMods

    protected static final int getAccelMods(Handle cptr)

### setAccelMods

    protected final void setAccelMods(Handle cptr,
                                      int accel_mods)

### getAccelFlags

    protected static final int getAccelFlags(Handle cptr)

### setAccelFlags

    protected final void setAccelFlags(Handle cptr,
                                       int accel_flags)